Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetContentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<Content>
          org.jbpm.services.task.commands.GetContentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Content>, Command<Content>

    public class GetContentCommand

extends TaskCommand<Content>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetContentCommand()`
`GetContentCommand(Long contentId)`

Method Summary
`Content` | `execute(org.kie.internal.command.Context cntxt)`
`Long` | `getContentId()`
`void` | `setContentId(Long contentId)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetContentCommand

    public GetContentCommand()

### GetContentCommand

    public GetContentCommand(Long contentId)

Method Detail

### getContentId

    public Long getContentId()

### setContentId

    public void setContentId(Long contentId)

### execute

    public Content execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.